<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shanghaichengdi.ghjgitem.mapper.SysDatashareUserMapper">

    <resultMap id="BaseResultMap" type="com.shanghaichengdi.ghjgitem.domain.SysDataShareUser">
            <result property="id" column="ID" jdbcType="DECIMAL"/>
            <result property="key" column="KEY" jdbcType="VARCHAR"/>
            <result property="secret" column="SECRET" jdbcType="VARCHAR"/>
            <result property="client" column="CLIENT" jdbcType="VARCHAR"/>
            <result property="isvalid" column="ISVALID" jdbcType="DECIMAL"/>
            <result property="createtime" column="CREATETIME" jdbcType="TIMESTAMP"/>
            <result property="token" column="TOKEN" jdbcType="VARCHAR"/>
            <result property="updateTime" column="UPDATETIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,KEY,SECRET,
        CLIENT,ISVALID,CREATETIME,
        TOKEN,UPDATETIME
    </sql>
</mapper>
